# sati bridge
прослойка, эмулирующая API других сервисов. для использования готового софта с [sati.ac](https://sati.ac)

на данный момент реализованы:
- RuCaptcha
- AntiGateV2
- CapSolver

## установка и запуск (windows)
- скачайте мост со [страницы релизов](https://git.sati.ac/sati.ac/bridge/releases)
- создайте новую папку и поместите в неё софт
- запустите exeшник от администратора, он закроется, это нормально. рядом должна появиться папка data, с конфигом `config.json` и сертификатом `ca.crt` внутри
- далее вам нужно добавить в конфиг ваш API токен: замените `"token": ""` на `"token": "ВАШ_ТОКЕН"`. взять его можно [тут](https://sati.ac/dashboard). если ваш софт использует API схожее с одним из тех, что поддерживаются, но на другом домене, то вы можете добавить его в extraDomains, например так: `{ "example.com": "AntiGateV2" }`
- добавьте корневой сертификат в хранилище доверенных корневых центров сертификации, кликнув на него, и выбрав нужное хранилище
- снова запустите exeшник с правами администратора, если в логе есть сообщение `starting api server`, то мост успешно запущен
- проверьте работу софта, открыв [bridge.sati.ac](https://bridge.sati.ac) в браузере. если все работает - там будет показана статистика